M_OnlineRewards = {}

function M_OnlineRewards:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_OnlineRewards:init()
	self.datas = {}
	self.datas[1] = {ID = 1, Time = 1, GoldNumber = 1000, Primary = 1000, Senior = 3000}
	self.datas[2] = {ID = 2, Time = 4, GoldNumber = 2500, Primary = 3000, Senior = 5000}
	self.datas[3] = {ID = 3, Time = 5, GoldNumber = 3000, Primary = 4000, Senior = 6000}
	self.datas[4] = {ID = 4, Time = 5, GoldNumber = 4500, Primary = 6000, Senior = 9000}
	self.datas[5] = {ID = 5, Time = 15, GoldNumber = 8000, Primary = 10000, Senior = 16000}
	self.datas[6] = {ID = 6, Time = 30, GoldNumber = 11000, Primary = 13000, Senior = 25000}
end

M_OnlineRewards:init()
